### Function

# RB gst_encoding_profile_get_presets

#### Declaration [src]

    char**
    rb_gst_encoding_profile_get_presets (
      GstEncodingProfile* profile
    )

#### Description

No description available.

#### Parameters

`profile`

  Type: `GstEncodingProfile`

  Profile to return presets for.

  The data is owned by the caller of the function.

#### Return value

Type: An array of `char`

Preset names.

The array is `NULL`-terminated.
The caller of the function takes ownership of the data, and is responsible for freeing it.